Bug 250059 - logrotate manual page bug
Summary: logrotate manual page bug
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: logrotate   
(Show other bugs)
Version: 5.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Tomas Smetana
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-30 07:34 UTC by Gui Jianfeng
Modified: 2013-04-12 19:16 UTC (History)
0 users

Fixed In Version: RHBA-2007-1002
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 14:07:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This is the patch fixing this bug. (150 bytes, patch)
2007-07-30 07:34 UTC, Gui Jianfeng
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:1002 normal SHIPPED_LIVE logrotate bug fix update 2007-11-15 14:07:38 UTC

Description Gui Jianfeng 2007-07-30 07:34:34 UTC
Description of problem: In the manual, the default state file is said as 
/var/lib/logrotate/status. I suppose this file must be obsolete,  and the right
one is /var/lib/logrotate.status.




Version-Release number of selected component (if applicable):logrotate 3.7.4


How reproducible:check man page


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Gui Jianfeng 2007-07-30 07:34:34 UTC
Created attachment 160221 [details]
This is the patch fixing this bug.

Comment 2 Gui Jianfeng 2007-07-30 08:40:02 UTC
Comment on attachment 160221 [details]
This is the patch fixing this bug.

diff -Nraup logrotate-3.7.4/logrotate.8 logrotate-prep/logrotate.8
--- logrotate-3.7.4/logrotate.8 2007-07-30 01:03:55.000000000 +0800
+++ logrotate-prep/logrotate.8	2007-07-30 01:05:07.000000000 +0800
@@ -57,7 +57,7 @@ and mail it to the recipient. The defaul
 \fB-s, -\-state <statefile>\fR
 Tells \fBlogrotate\fR to use an alternate state file.	This is useful
 if logrotate is being run as a different user for various sets of
-log files.  The default state file is \fI/var/lib/logrotate/status\fR.
+log files.  The default state file is \fI/var/lib/logrotate.status\fR.

 .TP
 \fB-\-usage\fR

Comment 3 Tomas Smetana 2007-08-03 09:53:43 UTC
OK. If logrotate gets approved for 5.2, it's going to have also a man page updated.

Comment 4 Tomas Smetana 2007-10-05 11:20:30 UTC
And... In the sample configuration in the manpage there is:

size=100k

which is also wrong (no '=').


Comment 11 errata-xmlrpc 2007-11-15 14:07:45 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-1002.html



Note You need to log in before you can comment on or make changes to this bug.